Subject: Re: [net-next v8 2/3] net: ethernet: mtk_eth_soc: Add RSS support

From: Jakub Kicinski <[email-masked]>
Date: Fri, 15 May 2026 15:45:49 -0700

On Fri, 15 May 2026 11:13:05 +0000 Frank Wunderlich wrote:
> > >  We can adjust SMP affinity with the following command:
> > >  echo [CPU bitmap num] > /proc/irq/[virtual IRQ ID]/smp_affinity,
> > >  with interrupts evenly assigned to 4 CPUs, we were able to measure
> > >  an RX throughput of 7.3Gbps using iperf3 on the MT7988. Further
> > >  optimizations will be carried out in the future.
> > >   
> > Would be great to split this up a little more for ease of review.  
> 
> you mean splitting the code into more separate patches or the commit description?

The code, seemed like it should at the very least be split into
multi-queue/napi support (mostly driver changes) vs RSS programming
and config.